Author Topic: "A DigiSystem INIT is required"  (Read 160 times)

Offline aaro

  • Member
  • *
  • Posts: 2
  • New Member
"A DigiSystem INIT is required"
« on: June 04, 2018, 12:19:52 PM »
Hello All!

On the advice of Fury deBongo, I offer this query:

On trying to open both Pro Tools Free & LE (5.0) I'm continually faced with the following dialog window: "A DigiSystem INIT is required". After some research (i.e. reinstalling both, selecting the proper Extension Set, checking the firmware, making sure I've the proper drivers, checking the DAE version, and so on) I can't seem to get past this point.

I'm basically trying to recreate the exact set-up used 18 years ago. Granted, the operating systems are different (OS 9.1 & 10.0) yet, I didn't think I'd run into so much trouble.

Any suggestions?

My Machine:
Mac OS 9.2.2 & X 10.2 (6C115)
Power Mac G4 (version = 2.9)
400 MHz
772 SDRAM

Devices / Volumes:
PCI
Slot A (AGP)
ATI Radeon 7000
64 MB

Slot B
SCSI
UltraTek-66

Slot C
Audiomedia III

Hard Drives:
Maxtor 30 GB
WDC 120 GB
WDC 15 GB
WDC 15GB

Software in Question:
Pro Tools LE v5.0
Pro Tools Free 5.0

***Also***
WavesLib 3.0 (does a key still exist?)

Many Thanks!
Aaro

Offline IIO

  • Platinum Member
  • *****
  • Posts: 1923
  • new to the forums
Re: "A DigiSystem INIT is required"
« Reply #1 on: June 04, 2018, 12:28:30 PM »
the AMIII definetly requires this. do you have the one installed from the AMIII driver? it mimght not work with other versions.
"It is true that the "pre-emptive multitasking" advantage present in OS X can be illustrated by downloading CD-ROM ISOs and rendering chaos theory formulas while simultaneously instant messaging and posting on FaceBook what you ate... but in reality, what did you create?"
- DieHard, random forum troll at macos9lives.com

Offline macStuff

  • Platinum Member
  • *****
  • Posts: 780
  • www.oldschooldaw.com
    • www.oldschooldaw.com
Re: "A DigiSystem INIT is required"
« Reply #2 on: June 04, 2018, 01:10:09 PM »
http://www.oldschooldaw.com/forums/index.php?topic=154.0
http://archive.digidesign.com/compato/
http://archive.digidesign.com/support/compat/

your problem is most likely related to the order in which the extensions are loading
you need to rename the digi init extension which checks the card is installed +working while booting up
to have a first letter higher up in the alphabet

see this thread for discussion on the topic of altering extension loading order
http://macos9lives.com/smforum/index.php?topic=1728.0

take this next bit with a grain of salt: (or take it very seriously,
because digidesign apps are VERY partifcular about which EXACT version of OS they are RUN ON).
ie: pro tools Le 5.0 is onyl for 9.0 + under, whereas pt le 5.1 is for 9.1+
(did u catch that? maybe read that line agan a few times to let it sink in)
the "pro tools free" version is only officially supported on os9.0 (not 9.1)

i wouldnt be surprised if doing a restore/install for your specific machine will miraculously solve your problem
(that is, mac os 9.02 which is specifically for the 400/450mhz g4 "Sawtooth" machines
see this thread for more on that: http://macos9lives.com/smforum/index.php?topic=1737.0
i went out of my way to locate those original discs and make them available for download from my private mediafire account to help people such as yourself

my advice would be to get a fresh disk and burn the official restore cds for the sawtooth model that you own, remove all hardware except 1 video card + the AMIII and do a system restore using the cd to a freshly formatted HD, and be amazed when it "just works"

also unplug all these "OLD" hard drives..
u dont need these 15gb drives..
just use the one 120gb and one other disk for a scratch disk for pro tools

you may have an easier time of installing osx Panther 10.3.9 and pro tools 6.x
but os9 will be alot faster on that g4/400

anyway.goodluck
the answers are here if u choose to listen
i personally dont have an amIII card or otherwise i would provide more specific detailed instructions
maybe someone else who has one up + running can share their installer files with you
« Last Edit: June 04, 2018, 01:32:14 PM by macStuff »